<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [mv](./bitburner.ns.mv.md)

## NS.mv() method

Move a file on the target server.

**Signature:**

```typescript
mv(host: string, source: string, destination: string): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

host


</td><td>

string


</td><td>

Hostname/IP of target server.


</td></tr>
<tr><td>

source


</td><td>

string


</td><td>

Filename of the source file.


</td></tr>
<tr><td>

destination


</td><td>

string


</td><td>

Filename of the destination file.


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 0 GB

Move the source file to the specified destination on the target server.

This command only works for scripts (.js, .jsx, .ts, .tsx) and text files (.txt, .json, .css). It cannot, however, be used to convert from script to text file, or vice versa.

This function can also be used to rename files.

This function is not able to remove running scripts from their original locations. Make sure to stop any scripts before using this function on them.

